Skip to main content
`Ctrl`+`K`

# NEPNArnoldiSetLagPreconditioner

Determines when the preconditioner is rebuilt in the nonlinear solve.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNArnoldiSetLagPreconditioner(NEP nep,PetscInt lag)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- lag - 0 indicates NEVER rebuild, 1 means rebuild every time the Jacobian is computed within the nonlinear iteration, 2 means every second time the Jacobian is built, etc.

## Options Database Key

- -nep_narnoldi_lag_preconditioner lag - sets the lag value

## Notes

The default is 1. The preconditioner is ALWAYS built in the first iteration of a nonlinear solve.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNARNOLDI`, `NEPNArnoldiGetLagPreconditioner()`

## Level

intermediate

## Location

src/nep/impls/narnoldi/narnoldi.c

## Implementations

NEPNArnoldiSetLagPreconditioner_NArnoldi() in src/nep/impls/narnoldi/narnoldi.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages